summaryrefslogtreecommitdiff
path: root/iconvdata/run-iconv-test.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2000-09-05 05:58:12 +0000
committerUlrich Drepper <drepper@redhat.com>2000-09-05 05:58:12 +0000
commit813bb1f179039214df6aa129a9a186617c97a075 (patch)
treeed8800385421b842f290c1f862b1130c41cea218 /iconvdata/run-iconv-test.sh
parent16fe0a88352bf68169c025831163437754be861f (diff)
Update.
* iconvdata/run-iconv-test.sh: Add code to immediate stop the script when ^C is hit.
Diffstat (limited to 'iconvdata/run-iconv-test.sh')
-rwxr-xr-xiconvdata/run-iconv-test.sh28
1 files changed, 21 insertions, 7 deletions
diff --git a/iconvdata/run-iconv-test.sh b/iconvdata/run-iconv-test.sh
index f8b29921eb..a16f667c67 100755
--- a/iconvdata/run-iconv-test.sh
+++ b/iconvdata/run-iconv-test.sh
@@ -1,6 +1,6 @@
#! /bin/sh -f
# Run available iconv(1) tests.
-# Copyright (C) 1998, 1999 Free Software Foundation, Inc.
+# Copyright (C) 1998, 1999, 2000 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# Contributed by Ulrich Drepper <drepper@cygnus.com>, 1998.
#
@@ -59,7 +59,11 @@ while read from to subset targets; do
for t in $targets; do
echo $ac_n "test data: $from -> $t $ac_c"
$PROG -f $from -t $t testdata/$from > $temp1 ||
- { echo "FAILED"; failed=1; continue; }
+ { if test $? -gt 128; then exit 1; fi
+ echo "FAILED"
+ failed=1
+ continue
+ }
echo $ac_n "OK$ac_c"
if test -s testdata/$from..$t; then
cmp $temp1 testdata/$from..$t > /dev/null 2>&1 ||
@@ -68,7 +72,11 @@ while read from to subset targets; do
fi
echo $ac_n " -> $from $ac_c"
$PROG -f $t -t $to -o $temp2 $temp1 ||
- { echo "FAILED"; failed=1; continue; }
+ { if test $? -gt 128; then exit 1; fi
+ echo "FAILED"
+ failed=1
+ continue
+ }
echo $ac_n "OK$ac_c"
test -s $temp1 && cmp testdata/$from $temp2 > /dev/null 2>&1 ||
{ echo "/FAILED"; failed=1; continue; }
@@ -82,8 +90,11 @@ while read from to subset targets; do
echo $ac_n " suntzu: $from -> $t -> $to $ac_c"
$PROG -f $from -t $t testdata/suntzus |
$PROG -f $t -t $to > $temp1 ||
- { echo "FAILED"; failed=1;
- continue; }
+ { if test $? -gt 128; then exit 1; fi
+ echo "FAILED"
+ failed=1
+ continue
+ }
echo $ac_n "OK$ac_c"
cmp testdata/suntzus $temp1 ||
{ echo "/FAILED";
@@ -92,8 +103,11 @@ while read from to subset targets; do
echo $ac_n " suntzu: $from -> ASCII -> $to $ac_c"
$PROG -f ASCII -t $to testdata/suntzus |
$PROG -f $to -t ASCII > $temp1 ||
- { echo "FAILED";
- failed=1; continue; }
+ { if test $? -gt 128; then exit 1; fi
+ echo "FAILED"
+ failed=1
+ continue
+ }
echo $ac_n "OK$ac_c"
cmp testdata/suntzus $temp1 ||
{ echo "/FAILED";